# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Namespaces | Functions

# D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGLUT/GLUTWindow.hpp File Reference

`#include <vlGLUT/link_config.hpp>`
`#include <vlCore/Vector4.hpp>`
`#include <vlGraphics/OpenGLContext.hpp>`
`#include <map>`
`#include <cstdlib>`
`#include <GL/freeglut.h>`

Go to the source code of this file.

## Classes

class | vlGLUT::GLUTWindow
| The GLUTWindow class implements an OpenGLContext using the GLUT API. More...

## Namespaces

namespace | vlut
namespace | vlGLUT

| The GLUT bindings namespace.

## Functions

VLGLUT_EXPORT void | vlGLUT::atexit_visualization_library_shutdown ()

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:27.
Permission is granted to use this page to write and publish articles regarding Visualization Library.